/* You can add global styles to this file, and also import other style files */

html {
    font-size: 14px;
}

html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    -ms-overflow-style: scrollbar;
    -webkit-tap-highlight-color: transparent;
}

@-ms-viewport {
    width: device-width;
}

article,
aside,
dialog,
figcaption,
figure,
footer,
header,
hgroup,
main,
nav,
section {
    display: block;
}

body {
    margin: 0;
    font-family: Comic-Sans, Arial, Helvetica, sans-serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: left;
    background-color: #E9E7EC;
    min-width: 1200px;
}

label {
    display: inline-block;
    margin-bottom: 0.5rem;
}

.italic-font {
    font-style: italic;
}

button:focus {
    outline: 0px;
}
/*h1,
h2,
h3,
h4,
h5,
h6 {
    margin-top: 0;
    margin-bottom: 0.5rem;
}*/

/* General Links */

a {
    text-decoration: none;
}

    a:hover,
    a:active,
    a:focus {
        outline: none;
        text-decoration: none;
    }

.main-content {
    padding-right: 20px;
}

legend {
    font-size: 14px;
    color: #999;
}

fieldset {
    box-shadow: 0px 0px 0px silver;
}

[hidden] {
    display: none !important;
}

/*.infobox {
    display: block;
    min-height: 75px;
    background: #fff;
    width: 100%;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    margin-bottom: 15px;
    color: #333;
    padding: 10px 0px;
}*/

.headerbox {
    color: #403553;
    font-weight: bold;
    display: block;
    width: 100%;
}

.headerTitle {
    margin-top: 7px;
    margin-bottom: 8px;
    padding: 0px;
    display: block;
    font-size: 1.2rem;
    color: #3c8dbc;
}

.headerLabel {
    color: #888;
    font-size: 0.75rem;
    text-transform: uppercase;
    margin-bottom: 0.25rem;
    margin-top: 0.75rem;
}

.header3 {
    display: inline-block;
    font-size: 1.25rem;
    margin: 0;
    line-height: 1;
    font-weight: normal;
}

/* General */

.bg-secondary {
    /* to be removed */
    background-color: #9f87ca !important;
}

.footer {
    padding: 5px;
}

/* Cass navigation css */

.cs-nav {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
}

    .cs-nav > li > a {
        position: relative;
        display: block;
        padding: 10px 15px;
        background-color: transparent;
    }

.cs-nav-stacked > li {
    border-bottom: 1px solid #f4f4f4;
    margin: 0;
    position: relative;
    display: block;
    width: 100%;
}

.cs-nav-stacked > li {
    float: none;
}

    .cs-nav-stacked > li:hover {
        background-color: #f4f4f4;
    }

/* Cass navigation css */

.badge {
    display: inline-block;
    min-width: 10px;
    padding: 3px 7px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #777;
    border-radius: 10px;
}

/* try to override AutoRek styles */

#standardPage #main {
    padding: 0px;
}

INPUT[type="button"],
INPUT[type="submit"],
BUTTON,
.button {
    height: auto;
}

/* try to override AutoRek styles */

/*
 * General: Miscellaneous
 * ----------------------
 */

.bg-gray {
    background-color: #d2d6de !important;
}

.bg-gray-light {
    background-color: #f7f7f7;
}

.bg-black {
    background-color: #111111 !important;
}

.bg-red,
.bg-danger {
    background-color: #dd4b39 !important;
}

.bg-yellow,
.bg-warning {
    background-color: #f39c12 !important;
}

.label-message {
    background-color: #D47B2F !important;
}

.bg-aqua,
.bg-info {
    background-color: #00c0ef !important;
}

.bg-blue {
    background-color: #0073b7 !important;
}

.bg-light-blue {
    background-color: #3c8dbc !important;
}

.bg-green,
.bg-success {
    background-color: #00a65a !important;
}

.bg-navy {
    background-color: #001f3f !important;
}

.bg-teal {
    background-color: #39cccc !important;
}

.bg-olive {
    background-color: #3d9970 !important;
}

.bg-lime {
    background-color: #01ff70 !important;
}

.bg-orange {
    background-color: #ff851b !important;
}

.bg-fuchsia {
    background-color: #f012be !important;
}

.bg-purple {
    background-color: #605ca8 !important;
}

.bg-maroon {
    background-color: #d81b60 !important;
}

.bg-gray-active {
    background-color: #b5bbc8 !important;
}

.bg-black-active {
    background-color: #000000 !important;
}

.bg-red-active,
.bg-success-active {
    background-color: #d33724 !important;
}

.bg-yellow-active,
.bg-warning-active {
    background-color: #db8b0b !important;
}

.bg-aqua-active,
.bg-info-active {
    background-color: #00a7d0 !important;
}

.bg-blue-active {
    background-color: #005384 !important;
}

.bg-light-blue-active {
    background-color: #357ca5 !important;
}

.bg-green-active,
.bg-success-active {
    background-color: #008d4c !important;
}

.bg-navy-active {
    background-color: #001a35 !important;
}

.bg-teal-active {
    background-color: #30bbbb !important;
}

.bg-olive-active {
    background-color: #368763 !important;
}

.bg-lime-active {
    background-color: #00e765 !important;
}

.bg-orange-active {
    background-color: #ff7701 !important;
}

.bg-fuchsia-active {
    background-color: #db0ead !important;
}

.bg-purple-active {
    background-color: #555299 !important;
}

.bg-maroon-active {
    background-color: #ca195a !important;
}

.bg-green,
.bg-yellow,
.bg-red {
    color: #fff !important;
}

[class^="bg-"] {
    color: #fff !important;
}

    [class^="bg-"].disabled {
        opacity: 0.65;
        filter: alpha(opacity=65);
    }

.text-red {
    color: #dd4b39 !important;
}

.text-yellow {
    color: #f39c12 !important;
}

.text-aqua {
    color: #00c0ef !important;
}

.text-blue {
    color: #0073b7 !important;
}

.text-black {
    color: #111111 !important;
}

.text-light-blue {
    color: #3c8dbc !important;
}

.text-green {
    color: #00a65a !important;
}

.text-gray {
    color: #d2d6de !important;
}

.text-navy {
    color: #001f3f !important;
}

.text-teal {
    color: #39cccc !important;
}

.text-olive {
    color: #3d9970 !important;
}

.text-lime {
    color: #01ff70 !important;
}

.text-orange {
    color: #ff851b !important;
}

.text-fuchsia {
    color: #f012be !important;
}

.text-purple {
    color: #605ca8 !important;
}

.text-maroon {
    color: #d81b60 !important;
}

.link-muted {
    color: #7a869d;
}

    .link-muted:hover,
    .link-muted:focus {
        color: #606c84;
    }

.link-black {
    color: #666;
}

    .link-black:hover,
    .link-black:focus {
        color: #999;
    }

.hide {
    display: none !important;
}

.no-border {
    border: 0 !important;
}

.no-padding {
    padding: 0 !important;
}

.no-margin {
    margin: 0 !important;
}

.no-shadow {
    box-shadow: none !important;
}

.flat {
    border-radius: 0 !important;
}

/* CASS Form and Button layout css */

.cs-formgrp {
    margin-bottom: 1rem;
}

input[type=search]::-webkit-search-cancel-button {
    -webkit-appearance: searchfield-cancel-button;
}

input[type=search] {
    -webkit-appearance: none;
}

input[type="date"] [disabled]:after {
    display: none;
}

.invalid-feedback {
    display: block;
    width: 100%;
    margin-top: .25rem;
    font-size: 90%;
    color: #dc3545;
}

.is-invalid {
    border-color: #dc3545 !important;
}

.is-valid {
    border-color: #28a745 !important;
}

.cs-formctrl {
    padding: 5px;
    font-size: 12px;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    min-height: 2rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    box-sizing: border-box;
    font-family: inherit;
}

    .cs-formctrl::-ms-expand {
        background-color: transparent;
        border: 0;
    }

    .cs-formctrl:focus {
        color: #495057;
        background-color: #fff;
        border-color: ##4ABBB6;
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(74, 187, 182, 0.25);
    }

    .cs-formctrl::-webkit-input-placeholder {
        color: #afafaf;
        opacity: 1;
    }

    .cs-formctrl::-moz-placeholder {
        color: #afafaf;
        opacity: 1;
    }

    .cs-formctrl:-ms-input-placeholder {
        color: #afafaf;
        opacity: 1;
    }

    .cs-formctrl::-ms-input-placeholder {
        color: #afafaf;
        opacity: 1;
    }

    .cs-formctrl::placeholder {
        color: #afafaf;
        opacity: 1;
    }

    .cs-formctrl:disabled,
    .cs-formctrl[readonly] {
        background-color: #e9ecef;
        opacity: 1;
    }

select.cs-formctrl:not([size]):not([multiple]) {
    /*height: calc(2.25rem + 2px);*/
}

select.cs-formctrl:focus::-ms-value {
    color: #495057;
    background-color: #fff;
}

.cs-formctrl-file,
.cs-formctrl-range {
    display: block;
    width: 100%;
}

.cs-cs-formcheck-input {
    position: absolute;
    margin-top: 0.3rem;
    margin-left: -1.25rem;
}

    .cs-cs-formcheck-input:disabled ~ .cs-cs-formcheck-label {
        color: #6c757d;
    }

.cs-cs-formcheck-label {
    margin-bottom: 0;
    margin-right: 20px;
    min-width: 350px;
}

.cs-cs-formcheck-inline {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding-left: 0;
    margin-right: 0.75rem;
}

    .cs-cs-formcheck-inline .form-check-input {
        position: static;
        margin-top: 0;
        margin-right: 0.3125rem;
        margin-left: 0;
    }

.cs-inputgrp {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
    width: 100%;
}

    .cs-inputgrp > .cs-formctrl {
        position: relative;
        -webkit-box-flex: 1;
        -ms-flex: 1 1 auto;
        flex: 1 1 auto;
        width: 1%;
        margin-bottom: 0;
    }

        .cs-inputgrp > .cs-formctrl:focus {
            z-index: 3;
        }

        .cs-inputgrp > .cs-formctrl + .cs-formctrl {
            margin-left: -1px;
        }

        .cs-inputgrp > .cs-formctrl:not(:last-child) {
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
        }

        .cs-inputgrp > .cs-formctrl:not(:first-child) {
            border-top-left-radius: 0;
            border-bottom-left-radius: 0;
        }

.cs-inputgrp-prepend,
.cs-inputgrp-append {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

    .cs-inputgrp-prepend .btn,
    .cs-inputgrp-append .btn {
        position: relative;
        z-index: 2;
    }

        .cs-inputgrp-prepend .btn + .btn,
        .cs-inputgrp-prepend .btn + .cs-inputgrp-text,
        .cs-inputgrp-prepend .cs-inputgrp-text + .cs-inputgrp-text,
        .cs-inputgrp-prepend .cs-inputgrp-text + .btn,
        .cs-inputgrp-append .btn + .btn,
        .cs-inputgrp-append .btn + .cs-inputgrp-text,
        .cs-inputgrp-append .cs-inputgrp-text + .cs-inputgrp-text,
        .cs-inputgrp-append .cs-inputgrp-text + .btn {
            margin-left: -1px;
        }

.cs-inputgrp-prepend {
    margin-right: -1px;
}

.cs-inputgrp-append {
    margin-left: -1px;
}

.cs-inputgrp-text {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 0.375rem 0.75rem;
    margin-bottom: 0;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    white-space: nowrap;
    background-color: #e9ecef;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
}

    .cs-inputgrp-text input[type="radio"],
    .cs-inputgrp-text input[type="checkbox"] {
        margin-top: 0;
    }

.cs-inputgrp > .cs-inputgrp-prepend > .btn,
.cs-inputgrp > .cs-inputgrp-prepend > .cs-inputgrp-text,
.cs-inputgrp > .cs-inputgrp-append:not(:last-child) > .btn,
.cs-inputgrp > .cs-inputgrp-append:not(:last-child) > .cs-inputgrp-text,
.cs-inputgrp > .cs-inputgrp-append:last-child > .btn:not(:last-child):not(.dropdown-toggle),
.cs-inputgrp > .cs-inputgrp-append:last-child > .cs-inputgrp-text:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.cs-inputgrp > .cs-inputgrp-append > .btn,
.cs-inputgrp > .cs-inputgrp-append > .cs-inputgrp-text,
.cs-inputgrp > .cs-inputgrp-prepend:not(:first-child) > .btn,
.cs-inputgrp > .cs-inputgrp-prepend:not(:first-child) > .cs-inputgrp-text,
.cs-inputgrp > .cs-inputgrp-prepend:first-child > .btn:not(:first-child),
.cs-inputgrp > .cs-inputgrp-prepend:first-child > .cs-inputgrp-text:not(:first-child) {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.cs-formcheck {
    position: relative;
    display: block;
    padding-left: 1.25rem;
}

.cs-formcheck-input {
    position: absolute;
    margin-top: 0.3rem;
    margin-left: -1.25rem;
}

    .cs-formcheck-input:disabled ~ .cs-formcheck-label {
        color: #6c757d;
    }

.cs-formcheck-label {
    margin-bottom: 0;
}

.cs-formcheck-inline {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding-left: 0;
    margin-right: 0.75rem;
}

    .cs-formcheck-inline .cs-formcheck-input {
        position: static;
        margin-top: 0;
        margin-right: 0.3125rem;
        margin-left: 0;
    }

.was-validated .cs-formcheck-input:valid ~ .valid-feedback,
.was-validated .cs-formcheck-input:valid ~ .valid-tooltip,
.cs-formcheck-input.is-valid ~ .valid-feedback,
.cs-formcheck-input.is-valid ~ .valid-tooltip {
    display: block;
}

/* CASS Form and Button layout css */

/* CASS Button group layout css */

.cs-button-group,
.cs-button-group-vertical {
    position: relative;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    vertical-align: middle;
}

    .cs-button-group > app-button,
    .cs-button-group-vertical > app-button {
        position: relative;
        -webkit-box-flex: 0;
        -ms-flex: 0 1 auto;
        flex: 0 1 auto;
    }

        .cs-button-group > app-button:hover,
        .cs-button-group-vertical > app-button:hover {
            z-index: 1;
        }

        .cs-button-group > app-button:focus,
        .cs-button-group > app-button:active,
        .cs-button-group > app-button.active,
        .cs-button-group-vertical > app-button:focus,
        .cs-button-group-vertical > app-button:active,
        .cs-button-group-vertical > app-button.active {
            z-index: 1;
        }

    .cs-button-group app-button + app-button,
    .cs-button-group app-button + .cs-button-group,
    .cs-button-group .cs-button-group + app-button,
    .cs-button-group .cs-button-group + .cs-button-group,
    .cs-button-group-vertical app-button + app-buttonn,
    .cs-button-group-vertical app-button + .cs-button-group,
    .cs-button-group-vertical .cs-button-group + app-button,
    .cs-button-group-vertical .cs-button-group + .cs-button-group {
        margin-left: -1px;
    }

    .cs-button-group > app-button:first-child {
        margin-left: 0;
    }

    .cs-button-group > app-button:not(:last-child):not(.dropdown-toggle) > .appbutton,
    .cs-button-group > .cs-button-group:not(:last-child) > app-button > .app-button {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
    }

    .cs-button-group > app-button:not(:first-child) > .appbutton,
    .cs-button-group > .cs-button-group:not(:first-child) > app-button > .app-button {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
    }

/* CASS Button group layout css */
.form-control {
    border-color: rgba(0,0,0,0.08)
}

    .form-control:hover:enabled {
        border-color: rgba(0,0,0,0.15)
    }

    .form-control:focus {
        box-shadow: none;
        border-color: #4ABBB6;
    }

.k-state-valid > span:nth-child(1) {
    cursor: auto;
    background-color: unset !important;
    background-image: unset !important;
}